ReferenceType (Groovy 5.0.0)

Package: org.codehaus.groovy.util

## [Java] Enum ReferenceType

- org.codehaus.groovy.util.ReferenceType

-     public enum ReferenceType
      extends Enum

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `HARD` |
    `PHANTOM` |
    `SOFT` |
    `WEAK` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T, V extends Finalizable>` | `protected Reference<T, V>` | `createReference(T value, V handler, ReferenceQueue queue)`
    `<T, V extends Finalizable>` | `protected Reference<T, V>` | `createReference(T value, V handler, ReferenceQueue queue)`
    `<T, V extends Finalizable>` | `protected Reference<T, V>` | `createReference(T value, V handler, ReferenceQueue queue)`
    `<T, V extends Finalizable>` | `protected Reference<T, V>` | `createReference(T value, V handler, ReferenceQueue queue)`
    `<T, V extends Finalizable>` | `protected abstract Reference<T, V>` | `createReference(T value, V handler, ReferenceQueue queue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `compareTo, compareTo, describeConstable, equals, getClass, getDeclaringClass, hashCode, name, notify, notifyAll, ordinal, toString, valueOf, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ReferenceType HARD

    - #### ReferenceType PHANTOM

    - #### ReferenceType SOFT

    - #### ReferenceType WEAK

  - ### Method Detail

    - #### <T, V extends Finalizable> @Override
      protected Reference<T, V> createReference(T value, V handler, ReferenceQueue queue)

    - #### <T, V extends Finalizable> @Override
      protected Reference<T, V> createReference(T value, V handler, ReferenceQueue queue)

    - #### <T, V extends Finalizable> @Override
      protected Reference<T, V> createReference(T value, V handler, ReferenceQueue queue)

    - #### <T, V extends Finalizable> @Override
      protected Reference<T, V> createReference(T value, V handler, ReferenceQueue queue)

    - #### <T, V extends Finalizable> protected abstract Reference<T, V> createReference(T value, V handler, ReferenceQueue queue)